/* === VISIBILITY === */

.visible {
    display: flex !important;
}

.hidden {
    display: none !important;
}

@media screen and (max-width: 1023px) {
    .hide__on-mobile {
       display: none !important;
    }
}

/* === ATTRIBUTES === */

/* == RADII == */

.radius-small {
    border-radius: var(--radius-small) !important;
}

.radius-medium {
    border-radius: var(--radius-medium) !important;
}

.radius-large {
    border-radius: var(--radius-large) !important;
}

/* == GAPS == */

.gap-none {
    gap: 0px !important;
}

.gap-smallest {
    gap: var(--grid__smallest) !important;
}

.gap-small {
    gap: var(--grid__x-small) !important;
}

.gap-medium {
    gap: var(--grid__medium) !important;
}

.gap-large {
    gap: var(--grid__large) !important;
}


/* == Z-INDEX == */

.z-1 {
    z-index: -1 !important;
}

.z1 {
    z-index: 1 !important;
}

.z2 {
    z-index: 2 !important;
}

/* == ROTATION == */

.rotate__neg3 {
    transform: rotate(-3deg);
}

/* == ASPECT-RATION == */

/* = LANDSCAPE = */

.aspect-ratio__3-1 {
    aspect-ratio: 3 / 1;
    object-fit: cover;
}

.aspect-ratio__2-1 {
    aspect-ratio: 2 / 1;
    object-fit: cover;
}

.aspect-ratio__16-9 {
    aspect-ratio: 16 / 9;
    object-fit: cover;
}

.aspect-ratio__3-2 {
    aspect-ratio: 3 / 2;
    object-fit: cover;
}

.aspect-ratio__1-1 {
    aspect-ratio: 1 / 1;
    object-fit: cover;
}

/* = PORTRAIT = */

.aspect-ratio__2-3 {
    aspect-ratio: 2 / 3;
    object-fit: cover;
}

.aspect-ratio__4-5 {
    aspect-ratio: 4 / 5;
    object-fit: cover;
}

/* === SECTIONS === */

.sec-general {
    display: flex;
    flex-flow: column;
    justify-content: start;
    align-items: center;
    gap: calc(var(--grid__large) / 2);
    padding-left: var(--grid__small);
    padding-right: var(--grid__small);
}

.sec-fullwidth {
    display: flex;
    flex-flow: column;
    justify-content: start;
    align-items: center;
    gap: var(--grid__large);
}

.sec-hero {
    padding-top: var(--grid__medium);
}

.sec-padding-top {
    padding-top: var(--grid__large);
}

.sec-padding-bottom {
    padding-bottom: var(--grid__large);
}

.sec-dark {
    background-color: var(--brand-color-main);
}

.sec-dark * {
    color: var(--main-light);
}

.sec-medium {
    background-color: var(--main-medium);
}

.sec-light {
    background-color: var(--main-light);
    color: var(--main-dark);
}

.sec-hero__start {
    height: 900px;
    max-height: 75vh;
}

/* === BACKGROUND STYLING === */

.bckgrnd__sec {
    background-color: var(--brand-color-sec);
}

.bckgrnd__sec-light {
    background:
        linear-gradient(180deg, var(--brand-color-sec) 0%, var(--brand-color-sec) 50%, var(--main-light) 50%, var(--main-light) 100% );
}

.bckgrnd__image {
    position: relative;
}

.bckgrnd__image > img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* === CONTAINER === */

/* == GENERAL == */

.cntnr-pagesize {
    display: flex;
    flex-flow: column;
    height: 100%;
    width: 100%;
    max-width: 1600px;
    gap: var(--grid__medium);  
}

.cntnr-pagesize__full{
    width: 100%;
    max-width: 100vw;   
}

.cntnr-pagesize__small {
    width: 100%;
    max-width: 900px;
}

.cntnr-content {
    width: 100%;
    display: flex;
    flex-flow: column;
    gap: var(--grid__small);
    align-items: flex-start;
}

.cntnr-content__cols {
    display: flex;
    flex-flow: row;
    gap: var(--grid__medium);
}

@media screen and (max-width: 1023px) {
    .cntnr-content__cols {
        flex-flow: column;
    }
}

.cntnr-content__cols-inline {
    width: 100%;
    display: flex;
    flex-direction: row !important;
    gap: var(--grid__small);
}

.cntnr-columns {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: var(--grid__medium);
}

.cntnr-padding {
    padding: var(--grid__small) !important;
}

.cntnr-padding__small {
    padding: var(--grid__x-small) !important;
}

/* == ALIGNMENT == */

.top-center {
    justify-content: start;
    align-items: center;
}

.top-right {
    justify-content: start;
    align-items: end;
}

.top-left {
    justify-content: start;
    align-items: flex-start;
}

.center-left {
    justify-content: center !important;
    align-content: center !important;
}

.center-right {
    justify-content: end;
    align-items: center;
}

.center-center {
    justify-content: center;
    align-items: center;
    text-align: center;
}

/* = MOBILE = */

@media (max-width:1023px) {
    .left__on-mobile {
        justify-content: start !important;
        align-items: start !important;
        text-align: start !important;
    }
}

/* == SIZES == */

.w50 {
    width: 50% !important;
}

.w75 {
    width: 75% !important;
}

.w100 {
    width: 100% !important;
}

@media screen and (max-width: 1023px) {
    .w100__on-mobile {
        width: 100% !important;
    }
}

.h100 {
    height: 100% !important;
}

.min-h-100vh {
    min-height: 100dvh;
}

/* == STYLING == */

.gradient-border__sec {
    position: relative;
}

.gradient-border__sec::after {
    content: '';
    position: absolute;
    top: -1px;        /* exakt über die fehlende border-top */
    left: 0px;       /* border-width ausgleichen */
    right: 0px;
    height: 1px;
    background: linear-gradient(to right, transparent 0%, var(--card-glow-main-off) 50%, transparent 100%);
}

/* == OPACITY == */

.subtile-50 {
    opacity: 0.5 !important;
}

.subtile-70 {
    opacity: 0.7 !important;
}

/* == FORM == */

.cntnr-form {
    width:100%;
    border-radius: var(--radius-medium) !important;
    backdrop-filter: blur(4px) !important;
    border: 0.5px solid #ffffff33;
    box-shadow: inset 0.5px 0.5px #ffffff66;
    transition: all 200ms ease-in-out;
    padding: var(--grid__small) !important;
}

.breakdance-form-stepper__step.is-active > * {
    font-weight: var(--font-weight__bold) !important;
    color: var(--brand-color-sec) !important;
}

.cntnr-content-cases img{
    width: 100%;
}

.postloop__cases-branding .bde-loop .bde-loop-item:first-child {
    width: 100% !important;
    left: 0 !important;
    top: 0 !important;
}

@media screen and (min-width: 1024px) {
    .postloop__cases-branding .bde-loop .bde-loop-item:first-child,
    .postloop__cases-branding .bde-loop .bde-loop-item:first-child img {
        max-height: 750px;
        height:750px;
        aspect-ratio: unset !important;
    }
}
/*
.oxy-container-link {
    max-height: 550px;
}
*/
.postloop__cases-branding .bde-loop .bde-loop-item:first-child img {
    /* aspect-ratio: 1; */

    object-fit: cover;
    width: 100%;
}

/* == HERO == */

.cntnr-hero {
    position: relative;
}

.cntnr-hero__icon {
    height: 120px;
    background-color: var(--main-light);
    border: 6px solid var(--main-light);
    border-radius: 50%;
    position: absolute;
    bottom: 0;
    transform: translate(0%,50%);
}

.cntnr-hero__title {
    position: absolute;
    bottom: 50%;
    transform: translate(0%,50%);
}

/* === TILES === */

.tile-light {
    background: radial-gradient(circle at 20% 80%,var(--brand-color-sec)-100%, var(--main-lightest)50%);
    border-radius: var(--radius-small);
    border: 1px solid var(--main-dark-subtile);
}

.tile-medium {
    background: radial-gradient(circle at 20% 80%,var(--main-lightest)-0%, var(--main-dark-subtile)200%);
    border-radius: var(--radius-small);
    border: 1px solid var(--main-dark-subtile);
}

.tile-dark {
    background: radial-gradient(circle at 20% 80%,var(--main-dark)20%, var(--main-medium)160%);
    border-radius: var(--radius-small);
}